Skip to content

Retrieve a manufacture

GET
/api/v1/manufactures/{id}
curl --request GET \
--url https://api.stocksmith.io/api/v1/manufactures/1 \
--header 'Authorization: Bearer <token>'
id
required
integer

Manufacture ID

Manufacture details

Media type application/json
object
manufacture
required
object
id
required
integer
product_id
required

ID of the associated product

integer
variation_id
integer
nullable
batch_code
string
nullable
production_status
required
string
Allowed values: not_started work_in_progress completed
quantity
required

Planned quantity (decimal string)

string
actual_quantity
required

Actual completed quantity (decimal string)

string
minutes_worked
integer
nullable
notes
string
nullable
start_date
string format: date-time
nullable
completed_at
string format: date-time
nullable
deadline_at
string format: date-time
nullable
expiry_at
string format: date-time
nullable
line_items
required
Array<object>
object
id
integer
material_id

ID of the consumed material

integer
nullable
name

Material name

string
nullable
sku
string
nullable
unit_measure
string
nullable
quantity

Decimal string

string
lot_number
string
nullable
unit_price

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
actual_unit_price

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
created_at
string format: date-time
updated_at
string format: date-time
total_materials_cost

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
total_labour_cost

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{
"manufacture": {
"production_status": "not_started"
}
}

Missing or invalid Bearer token

Media type application/json
object
error
required

Error message

string
Example generated
{
"error": "example"
}

Manufacture not found

Media type application/json
object
error
required

Error message

string
Example generated
{
"error": "example"
}